<?php
	//$urlxmls = "http://drupal6.betapruebas.com/";
	global $base_url;
	$urlxmls = $base_url."/";
	
    drupal_add_css("formularios/dhtmlx/dhtmlx.css");	  
    drupal_add_css("formularios/dhtmlx/dhtmlx_custom.css");	  
    drupal_add_js("formularios/dhtmlx/dhtmlx.js");
    drupal_add_js("formularios/dhtmlx/dhtmlxform_item_container.js");
    drupal_add_js("formularios/dhtmlx/numberformat.js");

    drupal_add_js("formularios/inc/lnProgreso.js");
    drupal_add_js("formularios/inc/gdProgreso.js");
    drupal_add_js("formularios/inc/frmProgreso.js");
    drupal_add_js("formularios/inc/funciones.js");
?>

<div id="form_container" style="width:900px;"></div>
<script type="text/javascript">

var form, formProyecto;
var gdContratos, gdProyectos, gdBaseline;
var err;
var win;
var urlxmls = "<?php echo $urlxmls ?>";

var wins = new dhtmlXWindows();
wins.setImagePath("formularios/dhtmlx/imgs/");
 
window.onload=function()
{
	form = new dhtmlXForm("form_container", strucForm());
	with(form)
   	{
		attachEvent("onButtonClick", function(id){
	        switch(id)
	        {
	        	case "reportar":
	        		clickReportar();
					break;

				case "cancelar":
					clickCancelar();
					break;

				case "contratoini":
					clickContratoIni();
					break;

				case "contratofin":
					clickContratoFin();
					break;

				case "proyectoini":
					clickProyectoIni();
					break;

				case "baseline":
					clickProyectoBase();
					break;
	    	}
	    });

		attachEvent("onValidateError", function (input, value, result){
			acumulaError(input);
		});
		
		attachEvent("onAfterValidate", function (status){
			imprimeError(status);
	    });
	
    	hideItem("frinversion");
    	hideItem("frcontratos");
    	hideItem("frproyectos");
	}
	
	cargaAgenciaB();
	cargaEnteB();
	cargaCodigoB();

	//GRID CONTRATACIONES
	gdContratos = new dhtmlXGridObject(form.getContainer('contratosgrid'));
	cargaGridContratos();
	
	//GRID DE PROYECTOS		
	gdProyectos = new dhtmlXGridObject(form.getContainer('proyectosgrid'));
	cargaGridProyectos();
}

</script>